## org.metaabm.act.provider
Class MetaABMActItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.act.util.MetaABMActAdapterFactory
              org.metaabm.act.provider.MetaABMActItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class MetaABMActItemProviderAdapterFactory

extends MetaABMActAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected AAllItemProvider` `aAllItemProvider` This keeps track of the one adapter used for all `AAll` instances.
`protected AAnyItemProvider` `aAnyItemProvider` This keeps track of the one adapter used for all `AAny` instances.
`protected ABuildGeographyItemProvider` `aBuildGeographyItemProvider` This keeps track of the one adapter used for all `ABuildGeography` instances.
`protected ABuildGridItemProvider` `aBuildGridItemProvider` This keeps track of the one adapter used for all `ABuildGrid` instances.
`protected ABuildItemProvider` `aBuildItemProvider` This keeps track of the one adapter used for all `ABuild` instances.
`protected ABuildNetworkItemProvider` `aBuildNetworkItemProvider` This keeps track of the one adapter used for all `ABuildNetwork` instances.
`protected ABuildSpaceItemProvider` `aBuildSpaceItemProvider` This keeps track of the one adapter used for all `ABuildSpace` instances.
`protected ACauseItemProvider` `aCauseItemProvider` This keeps track of the one adapter used for all `ACause` instances.
`protected AConnectItemProvider` `aConnectItemProvider` This keeps track of the one adapter used for all `AConnect` instances.
`protected ACreateAgentsItemProvider` `aCreateAgentsItemProvider` This keeps track of the one adapter used for all `ACreateAgents` instances.
`protected ACreateShapedAgentsItemProvider` `aCreateShapedAgentsItemProvider` This keeps track of the one adapter used for all `ACreateShapedAgents` instances.
`protected ADeriveItemProvider` `aDeriveItemProvider` This keeps track of the one adapter used for all `ADerive` instances.
`protected ADieItemProvider` `aDieItemProvider` This keeps track of the one adapter used for all `ADie` instances.
`protected ADiffuseItemProvider` `aDiffuseItemProvider` This keeps track of the one adapter used for all `ADiffuse` instances.
`protected ADisconnectItemProvider` `aDisconnectItemProvider` This keeps track of the one adapter used for all `ADisconnect` instances.
`protected AEvaluateItemProvider` `aEvaluateItemProvider` This keeps track of the one adapter used for all `AEvaluate` instances.
`protected AInitializeItemProvider` `aInitializeItemProvider` This keeps track of the one adapter used for all `AInitialize` instances.
`protected ALeaveItemProvider` `aLeaveItemProvider` This keeps track of the one adapter used for all `ALeave` instances.
`protected ALoadAgentsItemProvider` `aLoadAgentsItemProvider` This keeps track of the one adapter used for all `ALoadAgents` instances.
`protected ALoadShapedAgentsItemProvider` `aLoadShapedAgentsItemProvider` This keeps track of the one adapter used for all `ALoadShapedAgents` instances.
`protected AMethodItemProvider` `aMethodItemProvider` This keeps track of the one adapter used for all `AMethod` instances.
`protected AMoveItemProvider` `aMoveItemProvider` This keeps track of the one adapter used for all `AMove` instances.
`protected ANoneItemProvider` `aNoneItemProvider` This keeps track of the one adapter used for all `ANone` instances.
`protected APerformItemProvider` `aPerformItemProvider` This keeps track of the one adapter used for all `APerform` instances.
`protected AQueryItemProvider` `aQueryItemProvider` This keeps track of the one adapter used for all `AQuery` instances.
`protected AReplaceItemProvider` `aReplaceItemProvider` This keeps track of the one adapter used for all `AReplace` instances.
`protected ARuleItemProvider` `aRuleItemProvider` This keeps track of the one adapter used for all `ARule` instances.
`protected ASetItemProvider` `aSetItemProvider` This keeps track of the one adapter used for all `ASet` instances.
`protected AWatchItemProvider` `aWatchItemProvider` This keeps track of the one adapter used for all `AWatch` instances.
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected org.eclipse.emf.edit.provider.Disposable` `disposable` This keeps track of all the item providers created, so that they can be `disposed`.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

Fields inherited from class org.metaabm.act.util.MetaABMActAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`MetaABMActItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`protected void` `associate(org.eclipse.emf.common.notify.Adapter adapter, org.eclipse.emf.common.notify.Notifier target)` Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.
`org.eclipse.emf.common.notify.Adapter` `createAAllAdapter()` This creates an adapter for a `AAll`.
`org.eclipse.emf.common.notify.Adapter` `createAAnyAdapter()` This creates an adapter for a `AAny`.
`org.eclipse.emf.common.notify.Adapter` `createABuildAdapter()` This creates an adapter for a `ABuild`.
`org.eclipse.emf.common.notify.Adapter` `createABuildGeographyAdapter()` This creates an adapter for a `ABuildGeography`.
`org.eclipse.emf.common.notify.Adapter` `createABuildGridAdapter()` This creates an adapter for a `ABuildGrid`.
`org.eclipse.emf.common.notify.Adapter` `createABuildNetworkAdapter()` This creates an adapter for a `ABuildNetwork`.
`org.eclipse.emf.common.notify.Adapter` `createABuildSpaceAdapter()` This creates an adapter for a `ABuildSpace`.
`org.eclipse.emf.common.notify.Adapter` `createACauseAdapter()` This creates an adapter for a `ACause`.
`org.eclipse.emf.common.notify.Adapter` `createAConnectAdapter()` This creates an adapter for a `AConnect`.
`org.eclipse.emf.common.notify.Adapter` `createACreateAgentsAdapter()` This creates an adapter for a `ACreateAgents`.
`org.eclipse.emf.common.notify.Adapter` `createACreateShapedAgentsAdapter()` This creates an adapter for a `ACreateShapedAgents`.
`org.eclipse.emf.common.notify.Adapter` `createADeriveAdapter()` This creates an adapter for a `ADerive`.
`org.eclipse.emf.common.notify.Adapter` `createADieAdapter()` This creates an adapter for a `ADie`.
`org.eclipse.emf.common.notify.Adapter` `createADiffuseAdapter()` This creates an adapter for a `ADiffuse`.
`org.eclipse.emf.common.notify.Adapter` `createADisconnectAdapter()` This creates an adapter for a `ADisconnect`.
`org.eclipse.emf.common.notify.Adapter` `createAEvaluateAdapter()` This creates an adapter for a `AEvaluate`.
`org.eclipse.emf.common.notify.Adapter` `createAGroupAdapter()` This creates an adapter for a `AGroup`.
`org.eclipse.emf.common.notify.Adapter` `createAInitializeAdapter()` This creates an adapter for a `AInitialize`.
`org.eclipse.emf.common.notify.Adapter` `createAInputAdapter()` This creates an adapter for a `AInput`.
`org.eclipse.emf.common.notify.Adapter` `createALeaveAdapter()` This creates an adapter for a `ALeave`.
`org.eclipse.emf.common.notify.Adapter` `createALiteralAdapter()` This creates an adapter for a `ALiteral`.
`org.eclipse.emf.common.notify.Adapter` `createALoadAgentsAdapter()` This creates an adapter for a `ALoadAgents`.
`org.eclipse.emf.common.notify.Adapter` `createALoadShapedAgentsAdapter()` This creates an adapter for a `ALoadShapedAgents`.
`org.eclipse.emf.common.notify.Adapter` `createAMethodAdapter()` This creates an adapter for a `AMethod`.
`org.eclipse.emf.common.notify.Adapter` `createAMoveAdapter()` This creates an adapter for a `AMove`.
`org.eclipse.emf.common.notify.Adapter` `createAMultiValueAdapter()` This creates an adapter for a `AMultiValue`.
`org.eclipse.emf.common.notify.Adapter` `createANoneAdapter()` This creates an adapter for a `ANone`.
`org.eclipse.emf.common.notify.Adapter` `createAPerformAdapter()` This creates an adapter for a `APerform`.
`org.eclipse.emf.common.notify.Adapter` `createAQueryAdapter()` This creates an adapter for a `AQuery`.
`org.eclipse.emf.common.notify.Adapter` `createAReplaceAdapter()` This creates an adapter for a `AReplace`.
`org.eclipse.emf.common.notify.Adapter` `createARuleAdapter()` This creates an adapter for a `ARule`.
`org.eclipse.emf.common.notify.Adapter` `createAScheduleAdapter()` This creates an adapter for a `ASchedule`.
`org.eclipse.emf.common.notify.Adapter` `createASelectAdapter()` This creates an adapter for a `ASelect`.
`org.eclipse.emf.common.notify.Adapter` `createASetAdapter()` This creates an adapter for a `ASet`.
`org.eclipse.emf.common.notify.Adapter` `createAWatchAdapter()` This creates an adapter for a `AWatch`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.metaabm.act.util.MetaABMActAdapterFactory
`createAAccessorAdapter, createAActAdapter, createABuildProjectionAdapter, createACommandAdapter, createAControlAdapter, createAdapter, createALogicAdapter, createANetworkAdapter, createARootAdapter, createAShapedAdapter, createASinkAdapter, createATransformAdapter, createEObjectAdapter, createIActAdapter, createIIDAdapter, createIValueAdapter, createSNamedAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### disposable

    protected org.eclipse.emf.edit.provider.Disposable disposable

  This keeps track of all the item providers created, so that they can be `disposed`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### aRuleItemProvider

    protected ARuleItemProvider aRuleItemProvider

  This keeps track of the one adapter used for all `ARule` instances.

### aBuildItemProvider

    protected ABuildItemProvider aBuildItemProvider

  This keeps track of the one adapter used for all `ABuild` instances.

### aInitializeItemProvider

    protected AInitializeItemProvider aInitializeItemProvider

  This keeps track of the one adapter used for all `AInitialize` instances.

### aMethodItemProvider

    protected AMethodItemProvider aMethodItemProvider

  This keeps track of the one adapter used for all `AMethod` instances.

### aAnyItemProvider

    protected AAnyItemProvider aAnyItemProvider

  This keeps track of the one adapter used for all `AAny` instances.

### aAllItemProvider

    protected AAllItemProvider aAllItemProvider

  This keeps track of the one adapter used for all `AAll` instances.

### aNoneItemProvider

    protected ANoneItemProvider aNoneItemProvider

  This keeps track of the one adapter used for all `ANone` instances.

### aQueryItemProvider

    protected AQueryItemProvider aQueryItemProvider

  This keeps track of the one adapter used for all `AQuery` instances.

### aEvaluateItemProvider

    protected AEvaluateItemProvider aEvaluateItemProvider

  This keeps track of the one adapter used for all `AEvaluate` instances.

### aWatchItemProvider

    protected AWatchItemProvider aWatchItemProvider

  This keeps track of the one adapter used for all `AWatch` instances.

### aSetItemProvider

    protected ASetItemProvider aSetItemProvider

  This keeps track of the one adapter used for all `ASet` instances.

### aCreateAgentsItemProvider

    protected ACreateAgentsItemProvider aCreateAgentsItemProvider

  This keeps track of the one adapter used for all `ACreateAgents` instances.

### aBuildNetworkItemProvider

    protected ABuildNetworkItemProvider aBuildNetworkItemProvider

  This keeps track of the one adapter used for all `ABuildNetwork` instances.

### aBuildSpaceItemProvider

    protected ABuildSpaceItemProvider aBuildSpaceItemProvider

  This keeps track of the one adapter used for all `ABuildSpace` instances.

### aBuildGeographyItemProvider

    protected ABuildGeographyItemProvider aBuildGeographyItemProvider

  This keeps track of the one adapter used for all `ABuildGeography` instances.

### aBuildGridItemProvider

    protected ABuildGridItemProvider aBuildGridItemProvider

  This keeps track of the one adapter used for all `ABuildGrid` instances.

### aMoveItemProvider

    protected AMoveItemProvider aMoveItemProvider

  This keeps track of the one adapter used for all `AMove` instances.

### aLeaveItemProvider

    protected ALeaveItemProvider aLeaveItemProvider

  This keeps track of the one adapter used for all `ALeave` instances.

### aDieItemProvider

    protected ADieItemProvider aDieItemProvider

  This keeps track of the one adapter used for all `ADie` instances.

### aConnectItemProvider

    protected AConnectItemProvider aConnectItemProvider

  This keeps track of the one adapter used for all `AConnect` instances.

### aDisconnectItemProvider

    protected ADisconnectItemProvider aDisconnectItemProvider

  This keeps track of the one adapter used for all `ADisconnect` instances.

### aReplaceItemProvider

    protected AReplaceItemProvider aReplaceItemProvider

  This keeps track of the one adapter used for all `AReplace` instances.

### aCauseItemProvider

    protected ACauseItemProvider aCauseItemProvider

  This keeps track of the one adapter used for all `ACause` instances.

### aDiffuseItemProvider

    protected ADiffuseItemProvider aDiffuseItemProvider

  This keeps track of the one adapter used for all `ADiffuse` instances.

### aPerformItemProvider

    protected APerformItemProvider aPerformItemProvider

  This keeps track of the one adapter used for all `APerform` instances.

### aDeriveItemProvider

    protected ADeriveItemProvider aDeriveItemProvider

  This keeps track of the one adapter used for all `ADerive` instances.

### aLoadShapedAgentsItemProvider

    protected ALoadShapedAgentsItemProvider aLoadShapedAgentsItemProvider

  This keeps track of the one adapter used for all `ALoadShapedAgents` instances.

### aCreateShapedAgentsItemProvider

    protected ACreateShapedAgentsItemProvider aCreateShapedAgentsItemProvider

  This keeps track of the one adapter used for all `ACreateShapedAgents` instances.

### aLoadAgentsItemProvider

    protected ALoadAgentsItemProvider aLoadAgentsItemProvider

  This keeps track of the one adapter used for all `ALoadAgents` instances.

Constructor Detail

### MetaABMActItemProviderAdapterFactory

    public MetaABMActItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createAInputAdapter

    public org.eclipse.emf.common.notify.Adapter createAInputAdapter()

  This creates an adapter for a `AInput`.

  Overrides:
    `createAInputAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AInput`

### createALiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createALiteralAdapter()

  This creates an adapter for a `ALiteral`.

  Overrides:
    `createALiteralAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ALiteral`

### createAMultiValueAdapter

    public org.eclipse.emf.common.notify.Adapter createAMultiValueAdapter()

  This creates an adapter for a `AMultiValue`.

  Overrides:
    `createAMultiValueAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AMultiValue`

### createAGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createAGroupAdapter()

  This creates an adapter for a `AGroup`.

  Overrides:
    `createAGroupAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AGroup`

### createAScheduleAdapter

    public org.eclipse.emf.common.notify.Adapter createAScheduleAdapter()

  This creates an adapter for a `ASchedule`.

  Overrides:
    `createAScheduleAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ASchedule`

### createARuleAdapter

    public org.eclipse.emf.common.notify.Adapter createARuleAdapter()

  This creates an adapter for a `ARule`.

  Overrides:
    `createARuleAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ARule`

### createABuildAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildAdapter()

  This creates an adapter for a `ABuild`.

  Overrides:
    `createABuildAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ABuild`

### createAInitializeAdapter

    public org.eclipse.emf.common.notify.Adapter createAInitializeAdapter()

  This creates an adapter for a `AInitialize`.

  Overrides:
    `createAInitializeAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AInitialize`

### createAMethodAdapter

    public org.eclipse.emf.common.notify.Adapter createAMethodAdapter()

  This creates an adapter for a `AMethod`.

  Overrides:
    `createAMethodAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AMethod`

### createAAnyAdapter

    public org.eclipse.emf.common.notify.Adapter createAAnyAdapter()

  This creates an adapter for a `AAny`.

  Overrides:
    `createAAnyAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AAny`

### createAAllAdapter

    public org.eclipse.emf.common.notify.Adapter createAAllAdapter()

  This creates an adapter for a `AAll`.

  Overrides:
    `createAAllAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AAll`

### createANoneAdapter

    public org.eclipse.emf.common.notify.Adapter createANoneAdapter()

  This creates an adapter for a `ANone`.

  Overrides:
    `createANoneAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ANone`

### createAQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createAQueryAdapter()

  This creates an adapter for a `AQuery`.

  Overrides:
    `createAQueryAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AQuery`

### createAEvaluateAdapter

    public org.eclipse.emf.common.notify.Adapter createAEvaluateAdapter()

  This creates an adapter for a `AEvaluate`.

  Overrides:
    `createAEvaluateAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AEvaluate`

### createAWatchAdapter

    public org.eclipse.emf.common.notify.Adapter createAWatchAdapter()

  This creates an adapter for a `AWatch`.

  Overrides:
    `createAWatchAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AWatch`

### createASetAdapter

    public org.eclipse.emf.common.notify.Adapter createASetAdapter()

  This creates an adapter for a `ASet`.

  Overrides:
    `createASetAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ASet`

### createACreateAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createACreateAgentsAdapter()

  This creates an adapter for a `ACreateAgents`.

  Overrides:
    `createACreateAgentsAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ACreateAgents`

### createABuildNetworkAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildNetworkAdapter()

  This creates an adapter for a `ABuildNetwork`.

  Overrides:
    `createABuildNetworkAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ABuildNetwork`

### createABuildSpaceAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildSpaceAdapter()

  This creates an adapter for a `ABuildSpace`.

  Overrides:
    `createABuildSpaceAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ABuildSpace`

### createABuildGeographyAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildGeographyAdapter()

  This creates an adapter for a `ABuildGeography`.

  Overrides:
    `createABuildGeographyAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ABuildGeography`

### createABuildGridAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildGridAdapter()

  This creates an adapter for a `ABuildGrid`.

  Overrides:
    `createABuildGridAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ABuildGrid`

### createASelectAdapter

    public org.eclipse.emf.common.notify.Adapter createASelectAdapter()

  This creates an adapter for a `ASelect`.

  Overrides:
    `createASelectAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ASelect`

### createAMoveAdapter

    public org.eclipse.emf.common.notify.Adapter createAMoveAdapter()

  This creates an adapter for a `AMove`.

  Overrides:
    `createAMoveAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AMove`

### createALeaveAdapter

    public org.eclipse.emf.common.notify.Adapter createALeaveAdapter()

  This creates an adapter for a `ALeave`.

  Overrides:
    `createALeaveAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ALeave`

### createADieAdapter

    public org.eclipse.emf.common.notify.Adapter createADieAdapter()

  This creates an adapter for a `ADie`.

  Overrides:
    `createADieAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ADie`

### createAConnectAdapter

    public org.eclipse.emf.common.notify.Adapter createAConnectAdapter()

  This creates an adapter for a `AConnect`.

  Overrides:
    `createAConnectAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AConnect`

### createADisconnectAdapter

    public org.eclipse.emf.common.notify.Adapter createADisconnectAdapter()

  This creates an adapter for a `ADisconnect`.

  Overrides:
    `createADisconnectAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ADisconnect`

### createAReplaceAdapter

    public org.eclipse.emf.common.notify.Adapter createAReplaceAdapter()

  This creates an adapter for a `AReplace`.

  Overrides:
    `createAReplaceAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AReplace`

### createACauseAdapter

    public org.eclipse.emf.common.notify.Adapter createACauseAdapter()

  This creates an adapter for a `ACause`.

  Overrides:
    `createACauseAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ACause`

### createADiffuseAdapter

    public org.eclipse.emf.common.notify.Adapter createADiffuseAdapter()

  This creates an adapter for a `ADiffuse`.

  Overrides:
    `createADiffuseAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ADiffuse`

### createAPerformAdapter

    public org.eclipse.emf.common.notify.Adapter createAPerformAdapter()

  This creates an adapter for a `APerform`.

  Overrides:
    `createAPerformAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `APerform`

### createADeriveAdapter

    public org.eclipse.emf.common.notify.Adapter createADeriveAdapter()

  This creates an adapter for a `ADerive`.

  Overrides:
    `createADeriveAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ADerive`

### createALoadShapedAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createALoadShapedAgentsAdapter()

  This creates an adapter for a `ALoadShapedAgents`.

  Overrides:
    `createALoadShapedAgentsAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ALoadShapedAgents`

### createACreateShapedAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createACreateShapedAgentsAdapter()

  This creates an adapter for a `ACreateShapedAgents`.

  Overrides:
    `createACreateShapedAgentsAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ACreateShapedAgents`

### createALoadAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createALoadAgentsAdapter()

  This creates an adapter for a `ALoadAgents`.

  Overrides:
    `createALoadAgentsAdapter` in class `MetaABMActAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ALoadAgents`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `MetaABMActAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### associate

    protected void associate(org.eclipse.emf.common.notify.Adapter adapter,
                             org.eclipse.emf.common.notify.Notifier target)

  Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.

  Overrides:
    `associate` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`